PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | Friends | List of all members
PEthSocket::Address Union Reference

An ethernet MAC Address specification. More...

`#include <ethsock.h>`

## Public Member Functions
| Address ()
| Address (const BYTE *addr)
| Address (const Address &addr)
| Address (const PString &str)
Address & | operator= (const Address &addr)
Address & | operator= (const PString &str)
bool | operator== (const BYTE *eth) const
bool | operator!= (const BYTE *eth) const
bool | operator== (const Address &eth) const
bool | operator!= (const Address &eth) const
| operator PString () const

## Public Attributes
BYTE | b [6]
WORD | w [3]
struct {
DWORD l
WORD s
} | ls

## Friends
ostream & | operator<< (ostream &s, const Address &a)

## Detailed Description

An ethernet MAC Address specification.

## Constructor & Destructor Documentation

PEthSocket::Address::Address | ( |  | ) |

PEthSocket::Address::Address | ( | const BYTE * | addr | ) |

PEthSocket::Address::Address | ( | const Address & | addr | ) |

PEthSocket::Address::Address | ( | const PString & | str | ) |

## Member Function Documentation

PEthSocket::Address::operator PString | ( |  | ) | const

bool PEthSocket::Address::operator!= | ( | const BYTE * | eth | ) | const

bool PEthSocket::Address::operator!= | ( | const Address & | eth | ) | const
| inline

References l, ls, and s.

Address& PEthSocket::Address::operator= | ( | const Address & | addr | ) |

Address& PEthSocket::Address::operator= | ( | const PString & | str | ) |

bool PEthSocket::Address::operator== | ( | const BYTE * | eth | ) | const

bool PEthSocket::Address::operator== | ( | const Address & | eth | ) | const
| inline

References l, ls, and s.

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | s,
|  | const Address & | a
| ) |  |
| friend

## Member Data Documentation

BYTE PEthSocket::Address::b[6]

DWORD PEthSocket::Address::l

Referenced by operator!=(), and operator==().

struct { ... } PEthSocket::Address::ls

Referenced by operator!=(), and operator==().

WORD PEthSocket::Address::s

Referenced by operator!=(), and operator==().

WORD PEthSocket::Address::w[3]

The documentation for this union was generated from the following file:

- ethsock.h